gtkmm: Gtk::StringObject Class Reference

gtkmm 4.14.0

Public Member Functions | Static Public Member Functions | Related Symbols | List of all members
Gtk::StringObject Class Reference

Gtk::StringObject is the type of items in a Gtk::StringList. More...

`#include <gtkmm/stringobject.h>`

Inheritance diagram for Gtk::StringObject:
[legend]

## Public Member Functions
| StringObject (StringObject &&src) noexcept
StringObject & | operator= (StringObject &&src) noexcept
| ~StringObject () noexcept override
GtkStringObject * | gobj ()
| Provides access to the underlying C GObject.
const GtkStringObject * | gobj () const
| Provides access to the underlying C GObject.
GtkStringObject * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::ustring | get_string () const
| Returns the string contained in a `Gtk::StringObject`.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_string () const
| The string.

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static Glib::RefPtr< StringObject > | create (const Glib::ustring &string)
| Wraps a string in an object for use with `Gio::ListModel`.

## Related Symbols
(Note that these are not member symbols.)
Glib::RefPtr< Gtk::StringObject > | wrap (GtkStringObject *object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Gtk::StringObject is the type of items in a Gtk::StringList.

## Constructor & Destructor Documentation

## ◆ StringObject()

Gtk::StringObject::StringObject | ( | StringObject && | src | ) |
| noexcept

## ◆ ~StringObject()

Gtk::StringObject::~StringObject | ( |  | ) |
| overridenoexcept

## Member Function Documentation

## ◆ create()

static Glib::RefPtr< StringObject > Gtk::StringObject::create | ( | const Glib::ustring & | string | ) |
| static

Wraps a string in an object for use with `Gio::ListModel`.

Parameters

  string | The string to wrap.

Returns
  A new `Gtk::StringObject`.

## ◆ get_string()

Glib::ustring Gtk::StringObject::get_string | ( |  | ) | const

Returns the string contained in a `Gtk::StringObject`.

Returns
  The string of self.

## ◆ get_type()

static GType Gtk::StringObject::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GtkStringObject * Gtk::StringObject::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkStringObject * Gtk::StringObject::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ gobj_copy()

GtkStringObject * Gtk::StringObject::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ operator=()

StringObject & Gtk::StringObject::operator= | ( | StringObject && | src | ) |
| noexcept

## ◆ property_string()

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::StringObject::property_string | ( |  | ) | const

The string.

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## Friends And Related Symbol Documentation

## ◆ wrap()

Glib::RefPtr< Gtk::StringObject > wrap | ( | GtkStringObject * | object,
|  | bool | take_copy = false )
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.